## org.eclipse.jet.compiler
Class JET2Scriptlet

    java.lang.Object
      org.eclipse.jet.compiler.JET2ASTElement
          org.eclipse.jet.compiler.JavaElement
              org.eclipse.jet.compiler.JET2Scriptlet

Deprecated. Since 0.8.0, use `JavaScriptlet`

    public final class JET2Scriptlet

extends JavaElement

Define a Java Scriptlet Element in the JET2 AST

Constructor Summary
`JET2Scriptlet(org.eclipse.jet.compiler.JET2AST ast, JavaScriptlet scriptlet)` Deprecated.

Method Summary
`void` `accept(JET2ASTVisitor visitor)` Deprecated. Visit the AST and its contained elements.

Methods inherited from class org.eclipse.jet.compiler.JavaElement
`getJavaContent, getJavaEnd, getJavaStart`

Methods inherited from class org.eclipse.jet.compiler.JET2ASTElement
`getAst, getColumn, getEnd, getLine, getNextElement, getParent, getPrevElement, getStart, removeLineWhenOtherwiseEmpty, setDelegate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JET2Scriptlet

    public JET2Scriptlet(org.eclipse.jet.compiler.JET2AST ast,
                         JavaScriptlet scriptlet)

  Deprecated.

Method Detail

### accept

    public void accept(JET2ASTVisitor visitor)

  Deprecated.
  Description copied from class: `JET2ASTElement`
  Visit the AST and its contained elements.

  Specified by:
    `accept` in class `JET2ASTElement`
  See Also:
    `JET2ASTElement.accept(org.eclipse.jet.compiler.JET2ASTVisitor)`

Copyright 2006 IBM Corporation and others. All Rights Reserved.